Uploaded image for project: 'OpenShift Bugs'
  1. OpenShift Bugs
  2. OCPBUGS-24956

Installer should have a pre-check which prevents installation on non-BareMetal platforms without the CloudCredential cap

    XMLWordPrintable

Details

    • Moderate
    • No
    • 2
    • OCPEDGE Sprint 247, OCPEDGE Sprint 248
    • 2
    • Rejected
    • False
    • Hide

      None

      Show
      None

    Description

      The Cloud Credential operator was made optional in OCP 4.15, see https://issues.redhat.com/browse/OCPEDGE-69. The CloudCredential cap was added as a new capability.

      However, for OCP 4.15 the disablement of CCO is only supported on BareMetal platforms, see https://issues.redhat.com/browse/OCPEDGE-69?focusedId=23595076&page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#comment-23595076.

      We propose to guard against installations on non-BareMetal platforms without the CloudCredential cap, which could be implemented similar to https://issues.redhat.com/browse/OCPBUGS-15659. 

      Attachments

        Issue Links

          Activity

            People

              bzamalut@redhat.com Bulat Zamalutdinov
              fxierh Feilian Xie
              Jinyun Ma Jinyun Ma
              Votes:
              0 Vote for this issue
              Watchers:
              9 Start watching this issue

              Dates

                Created:
                Updated: